Skip to content
API status
API reference

Disable a webhook endpoint

POST
/api/v1/organizations/{organizationId}/webhooks/{webhookId}/disable
curl --request POST \
--url https://api.koneth.com/api/v1/organizations/b7378db4-5a7a-4e69-a8df-04f2e6d94243/webhooks/0f6f2d88-9357-4ce6-9b9e-76db2f98bb2e/disable \
--header 'Authorization: Bearer <token>'

Stops deliveries to the endpoint until it is verified again.

organizationId
required
string format: uuid

UUID of the organization the signed-in user belongs to.

Example
b7378db4-5a7a-4e69-a8df-04f2e6d94243
webhookId
required
string format: uuid

UUID of a webhook endpoint in the organization.

Example
0f6f2d88-9357-4ce6-9b9e-76db2f98bb2e

Endpoint disabled.

Media typeapplication/json
object
endpoint
required
object
id
required
string format: uuid
status
required
string
Allowed values: disabled
Example
{
"endpoint": {
"status": "disabled"
}
}

The Console session is missing or expired.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Authentication required"
}

The signed-in user is not an organization Owner or Finance member.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Insufficient organization permission"
}

The requested resource was not found.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Examplegenerated
{
"error": "example",
"issues": [
{}
]
}

Unexpected server error.

Media typeapplication/json
object
error
required
string
issues

Validation issue details when the request fails schema validation.

Array<object>
object
key
additional properties
any
Example
{
"error": "Internal server error"
}